<?php

namespace Drupal\custom_field\Plugin\CustomField\FieldFormatter;

use Drupal\custom_field\Plugin\CustomFieldFormatterBase;

/**
 * Plugin implementation of the 'text_default' formatter.
 *
 * @FieldFormatter(
 *   id = "text_default",
 *   label = @Translation("Default"),
 *   field_types = {
 *     "string_long",
 *   }
 * )
 */
class TextDefaultFormatter extends CustomFieldFormatterBase {

  /**
   * {@inheritdoc}
   */
  public function formatValue(array $settings) {
    $output = $settings['value'];
    $widget_settings = $settings['widget_settings'];
    if ($widget_settings['formatted']) {
      // The ProcessedText element already handles cache context & tag bubbling.
      // @see \Drupal\filter\Element\ProcessedText::preRenderText()
      $build = [
        '#type' => 'processed_text',
        '#text' => $settings['value'],
        '#format' => $widget_settings['default_format'],
        '#langcode' => $settings['langcode'],
      ];
      $output = $this->renderer->render($build);
    }

    return $output;
  }

}
